#include "main.h"

int main( void )
{
  uchar id[8], diff,s[8];
  uint y=0 ,x=0 ;
  uchar *d="D",*c="C";
  sei();
  init_timer();
  lcd_init(LCD_DISP_ON);
  lcd_puts_nl( "1-Wire-Reader:" );
  second =0;

diff = w1_rom_search( diff, id );		// sucht nach einem ic auf dem 1wire bus 
     	sprintf( s, "%02X ", id[0] );		// scheibt einen teil der id in hex um
	lcd_puts( s );				// gibt s aus 
  for(;;){					// main loop
	if(second == 1) {
	
	w1_reset();				// resettet den bus
	w1_byte_wr(0xCC);			// Schreibt das Skip Rom kommando
	w1_byte_wr(0x69);			// Schreibt das lese kommando
	w1_byte_wr(0x18);			// Scheibt das zu lesende register
	x=w1_byte_rd();				// Liest msb
	y=w1_byte_rd();				// Liest lsb
	lcd_putc( 0x7B );
	sprintf(d,"%02X",x);
	lcd_puts( d );
	lcd_puts( ":" );
	sprintf(c,"%02X",y);
	lcd_puts( c );
	lcd_putc( 0x7D );
	 }
        second = 0;
    }
}

